<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
layout:decorate="~{layouts/application.html}">

<head>
  <title>Sign Up</title>
</head>
<section layout:fragment="content">
  <!-- BEGIN -->
  
  <!-- <% Map<String, String> user = (Map<String, String>) request.getAttribute("user"); %> -->
    <!-- <form action="/users/list" method="post">
      <input type="text" id="firstName" name="firstName" th:value=${param.user.firstName}>
      <input type="text" id="lastName" name="lastName" value="${user.lastName}">
      <input type="email" id="email" aria-describedby="emailHelp" name="email" value="<%=user.getOrDefault("email","") %>">
      <button type="submit" class="btn btn-primary">Submit</button>
     </form>  -->
  
  <form action="/users/list" method="post" >
    <div class="mb-3">
      <label for="firstName" class="form-label">First Name</label>
      <input type="text" class="form-control" id="firstName" name="firstName" th:value="${user.firstName}" />
    </div>
    <div class="mb-3">
      <label for="lastName" class="form-label">Last Name</label>
      <input type="text" class="form-control" id="lastName" name="lastName" th:value="${user.lastName}" />
    </div><div class="mb-3">
      <label for="email" class="form-label">email</label>
      <input type="text" class="form-control" id="email" name="email" aria-describedby="emailHelp" th:value="${user.email}" /> 
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>
  </form>
  <!-- END -->
</section>
